<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <script src="https://cdn.jsdelivr.net/combine/npm/@chenfengyuan/datepicker@1.0.7,npm/@chenfengyuan/datepicker@1.0.7/i18n/datepicker.ru-RU.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@chenfengyuan/datepicker@1.0.7/dist/datepicker.min.css">
  <script type="text/javascript" src="/admin/view/javascript/ps_sync/ps_sync.js"></script>
  <script>
    let text_login = '<?php echo $text_login;?>',
        text_login_placeholder = '<?php echo $text_login_placeholder;?>',
        text_password = '<?php echo $text_password;?>',
        text_password_placeholder = '<?php echo $text_password_placeholder;?>';
  </script>
  <div class="page-header">
    <div class="container-fluid">
      <h1><?php echo $heading_title; ?> от <a href="https://primelabs.ru/?utm_source=modules&utm_medium=oc2&utm_campaign=settings&utm_term=<?php echo $host?>" target="_blank">PrimeLabs</a></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <h3><a href="https://primelabs.ru/комплексная-интеграция-сайта/интеграция-с-прайм-спорт-prime-sport-ru/бесплатные-модули-интеграции-для-cms/модуль-импорта-товар-из-prime-sport-ru-opencart2/инструкция-импорта-prime-sport-ru-opencart2/?utm_source=modules&utm_medium=oc2&utm_campaign=manual&utm_term=<?php echo $host?>">  Инструкция по настройке</a></h3>
    <h3><a href="https://primelabs.ru/комплексная-интеграция-сайта/интеграция-с-прайм-спорт-prime-sport-ru/бесплатные-модули-интеграции-для-cms/модуль-импорта-товар-из-prime-sport-ru-opencart2/faq-модуль-импорта-prime-sport-opencart2/?utm_source=modules&utm_medium=oc2&utm_campaign=faq&utm_term=<?php echo $host?>">FAQ и рекомендации по использованию</a></h3>
    <?php if (isset($text_success)) { ?>
    <div class="alert alert-success"><i class="fa fa-check"></i> <?php echo $text_success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if (isset($error_warning)) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-puzzle-piece"></i> <?php echo $heading_settings; ?> <h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="pc-sync-panel-form">
          <input type="hidden" name="token" value="<?php echo $token; ?>">
          <input type="hidden" name="ps_sync_last_sync" value="<?php echo $last_sync; ?>">
          <?if(!empty($login) && !empty($password)):?>
          <div class="change-log-pas-group">
            <p>Логин и пароль были введены ранее</p>
            <button type="button" class="change-sync-logpas">Сменить логин пароль</button>
            <input type="hidden" name="ps_sync_login" value="<?php echo $login; ?>" class="form-control" id="ps-sync-login">
            <input type="hidden" name="ps_sync_password" value="<?php echo $password; ?>" class="form-control" id="ps-sync-password">
          </div>
        <?else:?>
          <div class="form-group">
            <label for="ps-sync-login"><?php echo $text_login; ?></label>
            <input name="ps_sync_login" value="<?php echo $login; ?>" type="email" class="form-control" id="ps-sync-login" placeholder="<?php echo $text_login_placeholder; ?>">
          </div>
          <div class="form-group">
            <label for="ps-sync-password"><?php echo $text_password; ?></label>
            <input name="ps_sync_password" value="<?php echo $password; ?>" type="password" class="form-control" id="ps-sync-password" placeholder="<?php echo $text_password_placeholder; ?>">
          </div>
          <?endif;?>
          <div class="form-group form-check">
            <label class="form-check-label">
              <input name="ps_sync_active" <?php if ($active) { echo 'checked'; } ?> type="checkbox" class="form-check-input">
              <?php echo $text_active; ?>
            </label>
          </div>
          <div class="form-group form-check">
            <label class="form-check-label">
              <input name="ps_sync_full_sync" <?php if ($full_sync) { echo 'checked'; } ?> type="checkbox" class="form-check-input">
              <?php echo $text_full_sync; ?>
            </label>
          </div>
          <div class="form-group">
          <?if(strpos($sync_status, 'завершен') !== false):?>
            <label for="ps-sync-markup"><?php echo $text_import_status; ?></label>: <i><?php echo $sync_status; ?></i>
          <?else:?>
            <label for="ps-sync-price" id="import_label">Идет импорт <span></span></label>
            <div class="progress">
              <div id="progress-bar" class="progress-bar" style="width: 0%;"></div>

              <script>
                startProgressUpdateHandler('<?php echo $token; ?>');
              </script>

            </div>
          <?endif;?>
          </div>
          <div class="form-group">
            <label for="ps-sync-price"><?php echo $text_price; ?></label>
            <select name="ps_sync_price" class="form-control" id="ps-sync-price">
              <option value=""><?php echo $text_price_placeholder; ?></option>
              <option value="1" <?php if ($price == 1) echo 'selected'; ?>>Опт</option>
              <option value="2" <?php if ($price == 2) echo 'selected'; ?>>Опт-4%</option>
              <option value="3" <?php if ($price == 3) echo 'selected'; ?>>Опт-6%</option>
              <option value="4" <?php if ($price == 4) echo 'selected'; ?>>Опт-8%</option>
              <option value="5" <?php if ($price == 5) echo 'selected'; ?>>Опт-10%</option>
              <option value="6" <?php if ($price == 6) echo 'selected'; ?>>Опт-12%</option>
              <option value="7" <?php if ($price == 7) echo 'selected'; ?>>Опт-14%</option>
              <option value="8" <?php if ($price == 8) echo 'selected'; ?>>Опт-15%</option>
              <option value="9" <?php if ($price == 9) echo 'selected'; ?>>Опт-17%</option>
              <option value="10" <?php if ($price == 10) echo 'selected'; ?>>РРЦ</option>
              <option value="11" <?php if ($price == 11) echo 'selected'; ?>>МРЦ</option>
            </select>
          </div>
          <div class="form-group">
            <label for="ps-sync-markup"><?php echo $text_markup; ?></label>
            <input name="ps_sync_markup" type="text" value="<?php echo $markup; ?>" class="form-control" id="ps-sync-markup" placeholder="<?php echo $text_markup_placeholder; ?>">
          </div>
          <div class="form-group">
            <label for="ps-sync-category"><?php echo $text_category; ?></label>
            <select name="ps_sync_category" class="form-control" id="ps-sync-category">
              <option value=""><?php echo $text_category_placeholder; ?></option>
              <?php foreach ($categories as $_category) { ?>
              <option value="<?php echo $_category['category_id']; ?>" <?php if ($category == $_category['category_id']) echo 'selected'; ?>><?php echo $_category['name']; ?></option>
              <?php } ?>
            </select>
          </div>
          <div class="form-group">
            <label for="ps-sync-option-size"><?php echo $text_option_size; ?></label>
            <select name="ps_sync_option_size" class="form-control" id="ps-sync-option-size">
              <option value=""><?php echo $text_option_size_placeholder; ?></option>
              <?php foreach ($options as $_option) { ?>
              <option value="<?php echo $_option['option_id']; ?>" <?php if ($option_size == $_option['option_id']) echo 'selected'; ?>><?php echo $_option['name']; ?></option>
              <?php } ?>
            </select>
          </div>
          <div class="form-group">
            <label for="ps-sync-image-path"><?php echo $text_image_path; ?></label>
            <input name="ps_sync_image_path" data-toggle="tooltip" title="<?php echo $text_image_path_placeholder; ?>" type="text" value="<?php echo $image_path; ?>" class="form-control"
                   id="ps-sync-image-path" placeholder="prime-sport">
          </div>
          <div class="form-group">
            <label for="ps-sync-datetime"><?php echo $text_datetime; ?></label>
            <input name="ps_sync_datetime" type="text" data-toggle="datepicker" autocomplete="off" class="form-control" id="ps-sync-datetime" placeholder="<?php echo $text_datetime_placeholder; ?>">
            <small id="ps-sync-datetime-help" class="form-text text-muted"><?php echo $text_datetime_format; ?></small>
            <p id="ps-sync-last-sync" class="form-text text-muted"><?php echo $text_last_sync; ?> <?php echo $last_sync_datetime; ?></p>
            <script>$('[data-toggle="datepicker"]').datepicker({ language: 'ru-RU', format: 'yyyy-mm-dd' });</script>
          </div>
          <button type="submit" name="save" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-paw"></i> <?php echo $button_save; ?></button>
          <button type="submit" name="clear" data-toggle="tooltip" title="<?php echo $button_clear; ?>" class="btn btn-danger"><i class="fa fa-trash"></i> <?php echo $button_clear; ?></button>
          <a href="<?php echo $back; ?>" data-toggle="tooltip" title="<?php echo $button_back; ?>" class="btn btn-default"><i class="fa fa-reply"></i> <?php echo $button_back; ?></a>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>
